with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2016-10-22-v1";
  name = "blog-gallery-${version}";

  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/gallery/archive/${version}.tar.gz";
    sha256 = "0i44mp1w2p8v3yssa4c8xz59ga74dcxq96lkznyxr8np6hwdiyx1";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    description = "Site web de photo";
    homepage = https://gogs.prunetwork.fr/jpierre03/gallery;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
