# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="2016-10-20-v2";
  name = "gogs-jpierre03-homepage-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchurl {
    url = "https://gogs.prunetwork.fr/jpierre03/homepage/archive/${version}.tar.gz";
    sha256 = "08h6jg7pmxp3wh5dbhds6ky0i85li8c2slfa3h7fcpdyk4pvqm8r";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    description = "Page d'accueil";
    homepage = https://gogs.prunetwork.fr/jpierre03/homepage;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
